### Property

# Peas Engine:loaded-plugins

#### Declaration

    property loaded-plugins: string[] [ read, write ]

#### Description [src]

The list of loaded plugins.

This will be modified when `peas_engine_load_plugin()` or `peas_engine_unload_plugin()` is called.

This can be used with `GSettings` to save the loaded plugins by binding to this property after instantiating the engine by doing:

      g_settings_bind (gsettings_object,
                       LOADED_PLUGINS_KEY,
                       engine,
                       "loaded-plugins",
                       G_SETTINGS_BIND_DEFAULT);

Note: notify will not be called when the engine is being destroyed.

Type:An array of `char*`

Setter method | `peas_engine_set_loaded_plugins()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no